summaryrefslogtreecommitdiffstats
path: root/bin/d-i_manual.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-29 23:46:55 +0100
committerHolger Levsen <holger@layer-acht.org>2014-10-29 23:46:55 +0100
commitab7d0f09f68a4b7e901d2de1d45d71e8f6341d08 (patch)
tree768eb1e217c83b752ce1bc07c4d7b16f894b988d /bin/d-i_manual.sh
parent4e007ab62d1051d2ebaf661e72aeb0792c7c8b7d (diff)
downloadjenkins.debian.net-ab7d0f09f68a4b7e901d2de1d45d71e8f6341d08.tar.xz
d-i-manual: fail the build clearly if a specific language+format manual cannot be build
Diffstat (limited to 'bin/d-i_manual.sh')
-rwxr-xr-xbin/d-i_manual.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
index 31d60426..df1b847f 100755
--- a/bin/d-i_manual.sh
+++ b/bin/d-i_manual.sh
@@ -77,6 +77,15 @@ build_language() {
# ignore kernel architectures
if [ "$ARCH" != "hurd" ] && [ "$ARCH" != "kfreebsd" ] && [ "$ARCH" != "linux" ] ; then
make languages=$1 architectures=$ARCH destination=../../$FORMAT/ formats=$FORMAT
+ if ( [ "$FORMAT" = "pdf" ] && [ ! -f pdf/$1.$ARCH/install.$1.pdf ] ) || \
+ ( [ "$FORMAT" = "html" ] && [ ! -f html/$1.$ARCH/index.html ] ) ; then
+ echo
+ echo "Failed to build $1 $FORMAT for $ARCH, exiting."
+ echo
+ cd ../..
+ svn revert manual -R
+ exit 1
+ fi
fi
done
cd ../..
@@ -89,6 +98,7 @@ build_language() {
mkdir -p pdf/dummy
touch pdf/dummy/dummy.pdf
fi
+ echo
}
po_cleanup() {